clc
clear variables
close all

%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook:
%    C:\Users\andrei7\Documents\xl_output\Plot_fatigue_damage_1.xlsx
%    Worksheet: Sheet1
%
% To extend the code for use with different selected data or a different
% spreadsheet, generate a function instead of a script.

% Auto-generated by MATLAB on 2015/03/20 12:33:26

%% Import the data
[~, ~, raw] = xlsread('C:\Users\Rasmus\Dropbox\MasterMatlab\Matlab_Excel_Rasmus_Borenius\riley.xlsx','Ark1','A3:C67');

%% Create output variable
data = reshape([raw{:}],size(raw));
%EffectOfWECinIRR.xlsx','Ark1','A2:C49'
%CapturedWavePowerirr.xlsx
%MatlabCaptureWidth.xlsx','Ark1','A2:C55
%% Clear temporary variables
clearvars raw;


Hs = data(:,1);
Tp = data(:,2);
Power = data(:,3);



% Make 3D scatter plot using hist3(x,nbins).  The last line colors the
% bars according to height. 
figure(1)
scatter3(Hs,Tp,Power)



figure(2)

f = fit([Hs,Tp],Power, 'cubicinterp')
zPrediction = f(Hs(1), Tp(1))
plot(f)

% Create zlabel
 zlabel({'Mean foil thrust in irregular sea [kN]'});

% Create ylabel
ylabel({'Tp [s]'});

% Create xlabel
xlabel({'U [knots]'});

% % Create title
%  title({'Average Power'});

hcb = colorbar('location','EastOutside')
set(hcb, 'Ylim', [-5 25]);




% 
% 
% Tri = delaunay(Hs,Tp,Damage)
% figure(1)
% trisurf(Tri,Hs,Tp,Damage)
% 
% f = mesh([Hs,Tp],Damage,)
% zPrediction = f(Hs(1), Tp(1))
% plot(f)
% 
% 



% 
% 
% figure(3)
% 
% f = fit([Hs,Tp],Damage, 'a*Hs+b*exp(Tp)+Damage')
% zPrediction = f(Hs(1), Tp(1))
% plot(f)
% clc
% 
% close all
% 
% X = Hs'
% Y = Tp'
% Z = Damage'
% 
% figure
% F = TriScatteredInterp(X, Y, Z);
% %the steps of tx and ty will allow you change smoothness
% tx = min(X):max(X);
% ty = min(Y):max(Y);
% [qx,qy] = meshgrid(tx,ty);
% qz = F(qx,qy);
% mesh(qx,qy,qz);
% hold on;
% plot3(X,Y,Z,'o');